Merge pull request #24505 from owncloud/ceph-wait-for-http

Don't rely on the notify socket but on the service responding
This commit is contained in:
Vincent Petry 2016-06-21 16:21:11 +02:00 committed by GitHub
commit 755c86e3a2
2 changed files with 9 additions and 4 deletions

View File

@ -74,6 +74,11 @@ if [[ $ready != 'READY=1' ]]; then
docker logs $container
exit 1
fi
if ! "$thisFolder"/env/wait-for-connection ${host} 80 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
docker logs $container
exit 1
fi
echo "Waiting another 15 seconds"
sleep 15

View File

@ -192,8 +192,8 @@ function execute_tests {
DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID")
echo "Waiting for MySQL initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 60; then
echo "[ERROR] Waited 60 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
exit 1
fi
@ -221,8 +221,8 @@ function execute_tests {
DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID")
echo "Waiting for MariaDB initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 60; then
echo "[ERROR] Waited 60 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
exit 1
fi